Skip to main content
`Ctrl`+`K`

# SNESGetErrorIfNotConverged

Indicates if `SNESSolve()` will generate an error if the solver does not converge?

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetErrorIfNotConverged(SNES snes, PetscBool *flag)

Not Collective

## Input Parameter

- snes - iterative context obtained from `SNESCreate()`

## Output Parameter

- flag - `PETSC_TRUE` if it will generate an error, else `PETSC_FALSE`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSolve()`, `SNESSetErrorIfNotConverged()`, `KSPGetErrorIfNotConverged()`, `KSPSetErrorIfNotConverged()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages